#include "Context.hpp"


Context::Context(const std::array<std::uint8_t, 2048> &privateKey, const std::array<std::uint8_t, 2048> &publicKey) : me(publicKey) {
    this->cryptoRsaPrivateKey = privateKey;

    this->socket = -1;
    this->broadcastAddressInfo = nullptr;
    this->server = nullptr;

    this->latestPeerDiscovery = std::chrono::high_resolution_clock::now();
}
